---
parser: v2
auto_validation: true
time: 20
tags: [tutorial>beginner, software-product>sap-business-technology-platform, software-product>sap-btp--cloud-foundry-environment]
primary_tag: software-product>sap-integration-suite
author_name: Melanie Cueppers
author_profile: https://github.com/MelanieCueppers
slug: btp-integration-suite-nonsapconnectivity-openconnectors
canonical_url: https://developers.sap.com/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors
---

# Establish Connection Between Your BambooHR Trial and Open Connectors
<!-- description --> Use the APIs of Open Connectors to establish a connection to your BambooHR trial account.

## You will learn
-	How to connect to BambooHR from SAP Integration Suite
-	How to create a security material in the Cloud Integration capability for Open Connectors


### Access Open Connectors

1. In your SAP Integration Suite home page, under **Capabilities** section, look out for the tile **Extend Non-SAP Connectivity**. Choose **Discover Connectors**.

    ![Access-OpenConnectors](https://raw.githubusercontent.com/sap-tutorials/btp-adai/main/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors/1-1-Access-OpenConnectors.png)    

    You're now directed to the Open Connectors web page.

2. Choose **Connectors**.

    ![Connectors-Catalog](https://raw.githubusercontent.com/sap-tutorials/btp-adai/main/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors/1-2-Connectors-Catalog.png)   

    You see a catalog of various third-party applications that are supported by Open Connectors.


### Authenticate with your BambooHR's Domain Name and API Key

1. In the list, look out for **Bamboo HR** and choose **API Docs**.

    ![Access-BambooHR](https://raw.githubusercontent.com/sap-tutorials/btp-adai/main/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors/2-1-Access-BambooHR.png) 

    You see a list of operations that are supported by BambooHR via REST APIs.  

2. Choose **Authenticate Instance** to connect to your BambooHR system.

    ![Authenticate](https://raw.githubusercontent.com/sap-tutorials/btp-adai/main/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors/2-2-Authenticate.png) 

3. Enter a name for the instance.

4. In the **Company Name** field, enter the domain name that you created for your BambooHR trial. You've copied this value in [Preparing Your BambooHR Trial Account](btp-integration-suite-nonsapconnectivity-settingup-thirdparty).

5. In the **API Key** field, enter the API Key that you generated for your BambooHR trial. You've copied this value in [Preparing Your BambooHR Trial Account](btp-integration-suite-nonsapconnectivity-settingup-thirdparty).

6. Choose **Create Instance**.

    ![Domain-APIKey](https://raw.githubusercontent.com/sap-tutorials/btp-adai/main/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors/2-6-Domain-APIKey.png)


### Test the API Docs

You've now successfully created a BambooHR connector instance. In this step, you test an API to fetch employee details from the sample data that is available in your BambooHR trial account.

1. Choose **Test in the API docs**.

    ![Test-API](https://raw.githubusercontent.com/sap-tutorials/btp-adai/main/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors/3-1-Test-API.png)

2. In the list of APIs, look out for the category **employees** and choose the GET API **/employees**.

    This API fetches a list of all employees (sample data) in your BambooHR trial system.

    ![Get-Employees-API](https://raw.githubusercontent.com/sap-tutorials/btp-adai/main/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors/3-2-Get-Employees-API.png)

3. To test the API, choose **Try it out** and **Execute**.

    You see a successful response with response code 200 and a response body containing employees data from your BambooHR trial system.
    
    ![API-Response](https://raw.githubusercontent.com/sap-tutorials/btp-adai/main/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors/3-3-API-Response.png)

    You've now successfully established a connection between your BambooHR trial system and the Open Connectors capability of SAP Integration Suite.


### Create a Security Material in Cloud Integration

In a later tutorial of this mission, you'll establish an integration between Cloud Integration and BambooHR through Open Connectors. For this integration to work as expected, Open Connectors must authenticate you using a user credential. 

In this step, you'll create security material in Cloud Integration that takes care of this authentication.

1. In the successful API response, copy the authorization values for the properties **User**, **Organization**, and **Element**. You can find them in the Curl area above the server response you just received.  

    ![Authorization-Values](https://raw.githubusercontent.com/sap-tutorials/btp-adai/main/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors/4-1-Authorization-Values.png)

2. In your SAP Integration Suite home page, choose **Monitor > Integrations and APIs**.

    In case Open Connectors had opened in the same tab, click **SAP Integration Suite** at the top left to navigate to the SAP Integration Suite home page.

3. In the **Manage Security** section, choose **Security Material**.

4. Choose **Create > User Credentials**.

5. Enter a name for the user credentials.

6. For **Type**, select **OpenConnectors**. 

7. Paste the values that you copied from Open Connectors. Choose **Deploy**.

    ![Deploy-User-Credential](https://raw.githubusercontent.com/sap-tutorials/btp-adai/main/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors/4-7-Deploy-User-Credential.png)


### Copy the Request URL

In a later tutorial of this mission, you will have to provide a request to this **GET /employees** API so that Cloud Integration invokes it.

In the successful API response, copy the **Request URL**.

![5-1-Copy-Base-URI](https://raw.githubusercontent.com/sap-tutorials/btp-adai/main/tutorials/btp-integration-suite-nonsapconnectivity-openconnectors/5-1-Copy-Base-URI.png)


---
